#!/bin/bash
export LC_ALL="C"
#if [ ! -f /$HOME/.dialogrc ]
#then
#	cd $HOME
#	wget http://repo.issabel.org/.dialogrc
#fi

#Wanpipe
COUNT=0
WANPIPEDEP="ncurses-devel libtool patch flex gcc-c++ bison"
WANPIPERM="kmod-wanpipe wanpipe-util"
(
echo XXX
echo Removing old RPMs. This step might take up to 5 minutes
echo XXX
COUNT=$[$COUNT + 5]
echo $COUNT

for i in $WANPIPERM
do
	rpm --quiet -q $i
	if rpm --quiet -q $i
	then
		yum -q -y remove $i &> /var/log/additional-drivers.log
	fi
	COUNT=$[$COUNT + 5]
	echo $COUNT
done

echo XXX
echo Installing dependencies. This step might take up to 5 minutes
echo XXX

for i in $WANPIPEDEP
do
	yum -q -y install $i &> /var/log/additional-drivers.log
	COUNT=$[$COUNT + 5]
        echo $COUNT
done

echo XXX
echo Downloading Wanpipe
echo XXX

if [ ! -f /usr/src/wanpipe-7.0.24.tgz ]
then
        cd /usr/src
        wget -q ftp://ftp.sangoma.com/linux/current_wanpipe/wanpipe-7.0.24.tgz
fi

COUNT=$[$COUNT + 10]
echo $COUNT

echo XXX
echo Extracting files
echo XXX

tar -xzvf /usr/src/wanpipe-7.0.24.tgz -C /usr/src
cd  /usr/src/wanpipe-7.0.24
COUNT=$[$COUNT + 15]
echo $COUNT

echo XXX
echo Compiling Wanpipe
echo XXX
echo $COUNT

cd  /usr/src/wanpipe-7.0.24
./Setup dahdi --silent --with-zaptel=/usr/src/dahdi-linux-$(/usr/sbin/dahdi_cfg -vv 2>&1 | grep Tools | grep Version | cut -f2 -d"-" | tr -d " ") &> /var/log/additional-drivers.log
if [ "$?" == "0" ]
then
	echo XXX
	echo Done
	echo XXX
else
	echo XXX
        echo Fail
        echo XXX	
fi
echo 100)| \
dialog --backtitle "Issabel drivers setup" --title "Wanpipe Setup" --gauge "Wanpipe Install" 20 70 0


#Fin Wanpipe
